changeset 11044:12c560434da0

8209967: Bump minimum gradle version to 4.8 for JDK 11 Reviewed-by: prr, nlisker
author kcr
date Tue, 28 Aug 2018 14:24:11 -0700
parents ca32fdb7f066
children f32d1b47193f
files build.gradle
diffstat 1 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/build.gradle	Tue Aug 28 23:59:17 2018 +0530
+++ b/build.gradle	Tue Aug 28 14:24:11 2018 -0700
@@ -1212,14 +1212,14 @@
     NUM_COMPILE_THREADS = 1
 }
 
-// Check for Gradle 4.8, error if < 4.3.
+// Check for Gradle 4.8, error if < 4.8.
 if (gradle.gradleVersion != "4.8") {
     def ver = gradle.gradleVersion.split("[\\.]");
     def gradleMajor = Integer.parseInt(ver[0]);
     def gradleMinor = Integer.parseInt(ver[1].split("[^0-9]")[0]);
     def err = "";
-    if (gradleMajor < 4 || (gradleMajor == 4 && gradleMinor < 3)) {
-        err = "Gradle version too old: ${gradle.gradleVersion}; must be at least 4.3"
+    if (gradleMajor < 4 || (gradleMajor == 4 && gradleMinor < 8)) {
+        err = "Gradle version too old: ${gradle.gradleVersion}; must be at least 4.8"
     }
 
     if (IS_GRADLE_VERSION_CHECK && err != "") {